Ошибка при попытке удаленной установки RPM-пакета на Linux средствами Kaspersky Security Center 10

 

Kaspersky Security Center 10

 
 
 

Ошибка при попытке удаленной установки RPM-пакета на Linux средствами Kaspersky Security Center 10

К разделу "Ошибки"
Статья обновлена: 2019 июл 04 ID: 13350
 
 
 
 

Статья относится к Kaspersky Security Center 10:

  • Service Pack 3 (версия 10.5.1781.0);
  • Service Pack 2 Maintenance Release 1 (версия 10.4.343).
 
 
 
 

При попытке удаленной установки RPM-пакета средствами Kaspersky Security Center 10 на некоторых операционных системах Linux возникает ошибка, и установка прерывается.

Причина

В Fedora ниже 20 версии по умолчанию раскомментирован параметр Defaults requiretty в файле /etc/sudoers. Это запрещает выполнять sudo везде, кроме реальной терминальной сессии, поэтому при удаленной установке через SSH инсталляционный скрипт возвращает ошибку и прерывает установку.

Решение

Чтобы устранить ошибку при установке RPM-пакетов средствами Kaspersky Security Center 10, закомментируйте параметр Defaults requiretty в файле /etc/sudoers.

 
 
 
 
Была ли информация полезна?
Да Нет
Спасибо!
 

 
 

Как мы можем улучшить статью?

Ваш отзыв будет использован только для улучшения этой статьи. Если вам нужна помощь по нашим продуктам, обратитесь в техническую поддержку «Лаборатории Касперского».

Отправить Отправить

Спасибо за отзыв!

Ваши предложения помогут улучшить статью.

OK